cURL
curl --request GET \
--url https://public.api.live.turrisfi.com/v2/upstream/products/{productId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.live.turrisfi.com/v2/upstream/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v2/upstream/products/{productId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"upstreamEntityId": "<string>",
"name": "<string>",
"description": "<string>",
"newBusinessCommissionPerCent": 123,
"renewalCommissionPerCent": 123,
"carrierId": "<string>",
"states": [
{
"complianceRequirementId": "<string>",
"licenseComplianceRequirementId": "<string>",
"appointmentComplianceRequirementId": "<string>",
"newBusinessCommissionPerCent": 123,
"renewalCommissionPerCent": 123
}
],
"_id": "<string>",
"onboardingDescription": "<string>",
"filingNumber": "<string>",
"lineOfBusiness": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Products
Get Product
Retrieve details for a specific product
GET
/
v2
/
upstream
/
products
/
{productId}
cURL
curl --request GET \
--url https://public.api.live.turrisfi.com/v2/upstream/products/{productId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.live.turrisfi.com/v2/upstream/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v2/upstream/products/{productId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"upstreamEntityId": "<string>",
"name": "<string>",
"description": "<string>",
"newBusinessCommissionPerCent": 123,
"renewalCommissionPerCent": 123,
"carrierId": "<string>",
"states": [
{
"complianceRequirementId": "<string>",
"licenseComplianceRequirementId": "<string>",
"appointmentComplianceRequirementId": "<string>",
"newBusinessCommissionPerCent": 123,
"renewalCommissionPerCent": 123
}
],
"_id": "<string>",
"onboardingDescription": "<string>",
"filingNumber": "<string>",
"lineOfBusiness": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Returns detailed information about one of your upstream entityβs products, by its ID.
Authorizations
bearerrestricted-access-token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Product ID
Example:
"507f1f77bcf86cd799439011"
Was this page helpful?